Show / Hide Table of Contents

# Class PluginRepository

##### Inheritance

System.Object
PluginRepository

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Plugin

###### Assembly: Dalamud.dll

##### Syntax

    public class PluginRepository

### Constructors

| Improve this Doc View Source

#### PluginRepository(PluginManager, String, String)

##### Declaration

    public PluginRepository(PluginManager manager, string pluginDirectory, string gameVersion)

##### Parameters

Type | Name | Description
--- | --- | ---
Dalamud.Plugin.PluginManager | manager |
System.String | pluginDirectory |
System.String | gameVersion |

### Fields

| Improve this Doc View Source

#### PluginMaster

##### Declaration

    public ReadOnlyCollection<PluginDefinition> PluginMaster

##### Field Value

Type | Description
--- | ---
System.Collections.ObjectModel.ReadOnlyCollection<PluginDefinition> |

### Properties

| Improve this Doc View Source

#### State

##### Declaration

    public PluginRepository.InitializationState State { get; }

##### Property Value

Type | Description
--- | ---
PluginRepository.InitializationState |

### Methods

| Improve this Doc View Source

#### InstallPlugin(PluginDefinition, Boolean)

##### Declaration

    public bool InstallPlugin(PluginDefinition definition, bool enableAfterInstall = true)

##### Parameters

Type | Name | Description
--- | --- | ---
PluginDefinition | definition |
System.Boolean | enableAfterInstall |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### UpdatePlugins(Boolean)

##### Declaration

    public (bool Success, int UpdatedCount) UpdatePlugins(bool dryRun = false)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | dryRun |

##### Returns

Type | Description
--- | ---
System.ValueTuple<System.Boolean, System.Int32> |